Package ru.nilsoft.tm

# Class TMCommand.kkt_mode_reg

java.lang.Object
ru.nilsoft.tm.TMCommand.kkt_mode_reg

Enclosing class:
  `TMCommand`

public static final class TMCommand.kkt_mode_reg extends Object
Режим регистрации ККТ (тэг 1290) [ФФД 1.2 и выше].

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `AUTOMAT`
  Установлен режим «ПРИНТЕР В АВТОМАТЕ».
  `static final int`
  `BSO_MODE`
  Установлен режим «АС БСО».
  `static final int`
  `CATERING`
  Установлен режим «Общественное питание».
  `static final int`
  `CHANCE_GAMES`
  Установлен режим «ПРОВЕДЕНИЕ АЗАРТНОЙ ИГРЫ».
  `static final int`
  `EXCISE_GOODS`
  Установлен режим «ПОДАКЦИЗНЫЕ ТОВАРЫ».
  `static final int`
  `INSURANCE`
  Установлен режим «СТРАХОВАНИЕ».
  `static final int`
  `INTERNET`
  Установлен режим «ККТ ДЛЯ ИНТЕРНЕТ».
  `static final int`
  `LOMBARD`
  Установлен режим «ЛОМБАРД».
  `static final int`
  `LOTTERY`
  Установлен режим «ПРОВЕДЕНИЕ ЛОТЕРЕИ».
  `static final int`
  `SERVICE`
  Установлен режим «ККТ ДЛЯ УСЛУГ».
  `static final int`
  `TMT`
  Установлен режим «ТМТ».
  `static final int`
  `VENDING`
  Установлен режим «автоматическое устройство для расчетов».
  `static final int`
  `WHOLESALE`
  Установлен режим «Оптовая торговля».

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `kkt_mode_reg()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### AUTOMAT

    public static final int AUTOMAT
    Установлен режим «ПРИНТЕР В АВТОМАТЕ».
    See Also:
      - Constant Field Values

  - ### BSO_MODE

    public static final int BSO_MODE
    Установлен режим «АС БСО».
    See Also:
      - Constant Field Values

  - ### INTERNET

    public static final int INTERNET
    Установлен режим «ККТ ДЛЯ ИНТЕРНЕТ».
    See Also:
      - Constant Field Values

  - ### EXCISE_GOODS

    public static final int EXCISE_GOODS
    Установлен режим «ПОДАКЦИЗНЫЕ ТОВАРЫ».
    See Also:
      - Constant Field Values

  - ### TMT

    public static final int TMT
    Установлен режим «ТМТ».
    See Also:
      - Constant Field Values

  - ### SERVICE

    public static final int SERVICE
    Установлен режим «ККТ ДЛЯ УСЛУГ».
    See Also:
      - Constant Field Values

  - ### CHANCE_GAMES

    public static final int CHANCE_GAMES
    Установлен режим «ПРОВЕДЕНИЕ АЗАРТНОЙ ИГРЫ».
    See Also:
      - Constant Field Values

  - ### LOTTERY

    public static final int LOTTERY
    Установлен режим «ПРОВЕДЕНИЕ ЛОТЕРЕИ».
    See Also:
      - Constant Field Values

  - ### LOMBARD

    public static final int LOMBARD
    Установлен режим «ЛОМБАРД».
    See Also:
      - Constant Field Values

  - ### INSURANCE

    public static final int INSURANCE
    Установлен режим «СТРАХОВАНИЕ».
    See Also:
      - Constant Field Values

  - ### VENDING

    public static final int VENDING
    Установлен режим «автоматическое устройство для расчетов».
    See Also:
      - Constant Field Values

  - ### CATERING

    public static final int CATERING
    Установлен режим «Общественное питание».
    See Also:
      - Constant Field Values

  - ### WHOLESALE

    public static final int WHOLESALE
    Установлен режим «Оптовая торговля».
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### kkt_mode_reg

    public kkt_mode_reg()